VFPX - Outlooknavbar- VFP Bug?

21/01/2009 - 17:08 von Jörg Schneider | Report spam
Moin ;)

Also ich hab hier in einem neuen Projekt ein paar Komponenten vom VFPX
Projekt ThemedControls im Einsatz. Ich hab auf einer Form die
OutlookNavBar drauf. Das ganze schaut natürlich prima aus!

Jetzt wollte ich das mal auf einem Microsoft TerminalServer 2008 laufen
lassen. Und siehe da es gibt einen Fehler:
Fehlernummer: 2116
Für dieses Feature ist MSXML4SP1 oder höher erforderlich.

In der FoxPro Hilfe steht das da ein (xml)CursorAdapter dieses Feature
benötigt.

Aber der Server ist doch brand aktuell? Also mit sicherheit ist "und
höher" erfüllt ;)

Was muss ich installieren?
Ist das ein VFP9 Bug?

Grüße
Jörg
 

Lesen sie die antworten

#1 Olaf Doschke
21/01/2009 - 17:51 | Warnen spam
Aber der Server ist doch brand aktuell? Also mit sicherheit ist "und
höher" erfüllt ;)



Und höher ist aber egal, XMLAdapter
nutzt nicht VersionIndependant Namen der
MSXML Klassen, sondern will MSXML4.

Und tatsàchlich nutzt der Themesmanager in
loadthemes() den XMLAdatper.

Dran liegt es also wohl.

Im Thema "Creating a Visual Foxpro Application Setup
Program Using Installshield" wird auch extra nochmal
darauf hingewiesen, daß

a) XMLAdapter das MSXML4 Merge Modul benötigt.
(msxml4sxs32.msm)

und

b) CURSORTOXML Funktionen (genauer XMLTOCURSOR) die
MSXML3 Merge Module benötigen.
(msxml3_wim32.msm, msxml3inf_wim32.msm, wdstddll_wim32.msm)

So unschön das ist, so stabil bleibt die Funktionalitàt
dieser VFP-Funktionen bzw. Klassen, weil sie eben nicht
abhàngig sind von der Abwàrtskompatibilitàt von z.B.
MSXML6 zu Version 4 oder 3.

Also installiere am besten gleich MSXML3,4 und alle
Service Packs dazu.

Tschüß, Olaf.

Ähnliche fragen